### Class

# Foundry TemplateProvider

#### Description

    abstract class Foundry.TemplateProvider : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### foundry_template_provider_list_code_templates

You may specify `context` to ensure that project-specific values are inherited for projects. Some providers may even provide additional templates that are defined within the project which would otherwise not be available.

###### foundry_template_provider_list_project_templates

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryTemplateProviderClass {
      GObjectClass parent_class;
      DexFuture* (* load) (
        FoundryTemplateProvider* self
      );
      DexFuture* (* unload) (
        FoundryTemplateProvider* self
      );
      DexFuture* (* list_project_templates) (
        FoundryTemplateProvider* self
      );
      DexFuture* (* list_code_templates) (
        FoundryTemplateProvider* self,
        FoundryContext* context
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`load: DexFuture* (* load) ( FoundryTemplateProvider* self )`

  No description available.

`unload: DexFuture* (* unload) ( FoundryTemplateProvider* self )`

  No description available.

`list_project_templates: DexFuture* (* list_project_templates) ( FoundryTemplateProvider* self )`

  No description available.

`list_code_templates: DexFuture* (* list_code_templates) ( FoundryTemplateProvider* self, FoundryContext* context )`

  No description available.

#### Virtual methods

###### Foundry.TemplateProviderClass.list_code_templates

You may specify `context` to ensure that project-specific values are inherited for projects. Some providers may even provide additional templates that are defined within the project which would otherwise not be available.

###### Foundry.TemplateProviderClass.list_project_templates

No description available.

###### Foundry.TemplateProviderClass.load

No description available.

###### Foundry.TemplateProviderClass.unload

No description available.